﻿using System;

using DevExpress.XtraEditors;
using DevExpress.XtraGauges.Core.Styles;
using DevExpress.XtraGauges.Presets.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            StyleCollectionKey newStyleCollectionKey = new StyleCollectionKey("Circular");

            newStyleCollectionKey.Name = "Pure Dark";
            newStyleCollectionKey.Tag  = "Wide";

            StyleCollection styleCollection = StyleLoader.Load(newStyleCollectionKey);

            styleCollection.Apply(this.circularGauge);

            this.trackBarControl.EditValueChanged += trackBarControl_EditValueChanged;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 트랙바 컨트롤 편집 값 변경시 처리하기 - trackBarControl_EditValueChanged(sender, e)

        /// <summary>
        /// 트랙바 컨트롤 편집 값 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void trackBarControl_EditValueChanged(object sender, EventArgs e)
        {
            float value = Convert.ToSingle(this.trackBarControl.EditValue);

            this.arcScaleComponent.Value = value;

            this.arcScaleNeedleComponent.Value = value;
        }

        #endregion
    }
}